﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Hotline.Share.Enums.Order;
using XF.Domain.Entities;

namespace Hotline.Application.Orders
{
    public interface IOrderApplication
    {
        /// <summary>
        /// 工单办理(每个节点都会触发)
        /// </summary>
        Task OrderManageAsync(EOrderStatus status, EFlowAssignType assignType, bool isCountersignEnd, bool isCountersignStart,
            string orderId, DateTime currentStepTime, string CurrentStepName,
            IEnumerable<string> handlers, CancellationToken cancellationToken);
    }
}
